## hkl-unit-private

hkl-unit-private

## Functions

HklUnit * | hkl_unit_dup ()
void | hkl_unit_free ()
int | hkl_unit_compatible ()
double | hkl_unit_factor ()

## Description

## Functions

### hkl_unit_dup ()

    HklUnit *
    hkl_unit_dup (const HklUnit *self);

copy an Hklunit

[skip]

#### Returns

the copied HklUnit (memory must be release with hkl_unit_free)

### hkl_unit_free ()

    void
    hkl_unit_free (HklUnit *self);

release the memory of an HklUnit

[skip]

### hkl_unit_compatible ()

    int
    hkl_unit_compatible (const HklUnit *unit1,
                         const HklUnit *unit2);

check if two units are compatible.

[skip]

#### Parameters

self | the first `HklUnit` |
unit | the second `HklUnit` to check |

#### Returns

TRUE or FALSE

### hkl_unit_factor ()

    double
    hkl_unit_factor (const HklUnit *from,
                     const HklUnit *to);

compute the factor to convert from one `Hklunit` to another one. `self` * factor = `unit`

#### Returns

the factor of the conversion.